%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%global module tgfastdata
%global srcname TGFastData

Name:           python-tgfastdata
# Be very careful here.  This Version is wrong and may not upgrade correctly if we're not careful
# If version switches to 0.10XXXX, remove the alpha portion from the Version:
Version:        0.9a7
Release:        0.4.a7%{?dist}
Summary:        Automatic user interface generation for TurboGears

Group:          Development/Languages
License:        MIT
URL:            http://pypi.python.org/pypi/TGFastData/
Source0: http://pypi.python.org/packages/source/T/%{srcname}/%{srcname}-0.9a7.zip
Patch0: tgfastdata-requires.patch
Patch1: tgfastdata-date-widget-fix.patch
Patch2: tgfastdata-foreign-key-unittest.patch
Patch3: tgfastdata-template-engine.patch
Patch4: tgfastdata-tg1.1-unittest.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  python2-devel
# For tests
BuildRequires: TurboGears
BuildRequires: python-ruledispatch
Requires: TurboGears
Requires: python-ruledispatch

%description
FastData is an extension to TurboGears which can provide automatic user
interface generation based upon an application's model objects.


%prep
%setup -q -n %{srcname}-%{version}
%patch0 -p1 -b .deps
%patch1 -p1 -b .dw
%patch2 -p1 -b .fk
%patch3 -p1 -b .tmple
%patch4 -p1 -b .tg1.1

%build
%{__python} setup.py build

%install
rm -rf %{buildroot}
%{__python} setup.py install --skip-build --root %{buildroot}

%check
PYTHONPATH=$(pwd) %{__python} setup.py test

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc README.txt LICENSE.txt
%{python_sitelib}/%{module}/
%{python_sitelib}/TGFastData-*.egg-info

%changelog
* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9a7-0.4.a7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9a7-0.3.a7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9a7-0.2.a7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Jul 15 2011 Toshio Kuratomi <toshio@fedoraproject.org> - 0.9a7-0.1.a7
- "New" upstream.release
- Many patches to fix bugs

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9a6-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 0.9a6-11
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9a6-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9a6-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.9a6-8
- Rebuild for Python 2.6

* Sat Mar  1 2008 Ralf Ertzinger <ralf@skytale.net> - 0.9a6-7
- BuildRequire: python-devel (fixes BZ434717)

* Sat Dec  9 2006 Luke Macken <lmacken@redhat.com> - 0.9a6-6
- Rebuild for new python

* Mon Oct 30 2006 Luke Macken <lmacken@redhat.com> - 0.9a6-5
- Fix egg-info directory

* Tue Oct 14 2006 Luke Macken <lmacken@redhat.com> - 0.9a6-4
- Fix Source0
- Own %%{python_sitelib}/%%{module}
- Don't install unusable tests

* Tue Oct 10 2006 Luke Macken <lmacken@redhat.com> - 0.9a6-3
- Remove TurboGears requirement

* Sat Sep 30 2006 Luke Macken <lmacken@redhat.com> - 0.9a6-2
- Rename to python-tgfastdata
- Install egg-info

* Sun Sep 17 2006 Luke Macken <lmacken@redhat.com> - 0.9a6-1
- Initial creation
